| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
on_pool.hpp File Reference
Private

this is the base class of object that can be allocated on a memory pool More...

`#include "../my_config.h"`
`#include <vector>`
`#include <new>`
`#include "integers.hpp"`
`#include "memory_pool.hpp"`
`#include "mem_allocator.hpp"`
`#include "cygwin_adapt.hpp"`

Go to the source code of this file.

## Classes
class | libdar::on_pool

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

this is the base class of object that can be allocated on a memory pool

Definition in file on_pool.hpp.